Scilab Function
Last update : 00/00/0000

nlev - Algorithme de Leverrier

### Calling Sequence

  `[num,den]=nlev(A,z [,rmax])`

### Parameters

- `A` : matrice réelle carrée
- `z` : chaîne de caractères
- `rmax` : paramètre optionnel (voir `bdiag`)

### Description

`[num,den]=nlev(A,z [,rmax])` calcule `(z*eye()-A)^(-1)` par bloc diagonalisation de `A` suivie de l'algorithme de Leverrier sur chaque bloc.

Cet algorithme est plus efficace que l'algorithme de Leverrier seul, mais il n'est toujours pas parfait !

### Examples

        A=rand(3,3);x=poly(0,'x');
        [NUM,den]=nlev(A,'x')
        clean(den-poly(A,'x'))
        clean(NUM/den-inv(x*eye()-A))

### See Also

`coff`, `coffg`, `glever`, `ss2tf`,

### Authors

  F. Delebecque, INRIA;
  S. Steer, INRIA;